<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ArchiveManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#b6c255acb890a2d21ae1d3379a512730">addArchiveFactory</a>(ArchiveFactory *factory)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#278ebb7c9a9f4512829a1d955d9c97e8">ArchiveFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#4af6cf74f6bc68dfbc25032799261c3a">ArchiveManager</a>()</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#d413caa248d151791ad7f2eef7bc6e09">ArchiveMap</a> typedef</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#d5b5f92045294d97c3aecddaba89de31">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#460a08ab422a879e91dd154ee33c2aac">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#5aee8deff46987c5cfd2c427c80bacde">load</a>(const String &amp;filename, const String &amp;archiveType)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#be0af361a9d7c3c4177b2392efac3c0a">mArchFactories</a></td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#c718cc69b4a623985696290eecca5d2e">mArchives</a></td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#fae10919b8d8d0884fe413d56a683006">unload</a>(Archive *arch)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#05baddedf360653448d436c33dbf0de3">unload</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ArchiveManager.html#0abcd0bcbab592304b00023b87d2b48e">~ArchiveManager</a>()</td><td><a class="el" href="classOgre_1_1ArchiveManager.html">Ogre::ArchiveManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
